﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NetworkingLibrary.Events
{
    public delegate void ClientConnectDelegate(ClientConnectEventArgs e);
    public class ClientConnectEventArgs : EventArgs
    {
        public Clients.IClient TheClient;
        public int TotalClients = -1;

        public ClientConnectEventArgs(Clients.IClient AClient, int ATotalClients = 0)
        {
            TheClient = AClient;
            TotalClients = ATotalClients;
        }
    }
}
