﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NetworkingLibrary.Messages.UDP.Responses
{
    [Serializable]
    public class ConnectResponseMessage : MessageObject
    {
        public bool Connected = false;
        public Guid NewClientID = Guid.NewGuid();

        public ConnectResponseMessage(bool IsConnected, Guid ANewClientID)
        {
            Connected = IsConnected;
            NewClientID = ANewClientID;
        }
    }
}
