﻿using System;

namespace NetworkingLibrary.Events
{
    public delegate void ClientDisconnectDelegate(ClientDisconnectEventArgs e);
    public partial class ClientDisconnectEventArgs : EventArgs
    {
        public Clients.IClient TheClient;
        public int TotalClients = -1;

        public ClientDisconnectEventArgs(Clients.IClient AClient, int ATotalClients = 0)
        {
            TheClient = AClient;
            TotalClients = ATotalClients;
        }
    }
}