﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NetworkingLibrary.Messages.Specialised.Manager.Requests
{
    [Serializable]
    public class AddGameServerRequestMessage : MessageObject
    {
        public System.Net.IPAddress GameServerAddressTCP = null;
        public System.Net.IPAddress GameServerAddressUDP = null;

        public AddGameServerRequestMessage(System.Net.IPAddress AGameServerAddressTCP, System.Net.IPAddress AGameServerAddressUDP)
        {
            GameServerAddressTCP = AGameServerAddressTCP;
            GameServerAddressUDP = AGameServerAddressUDP;
        }
    }
}
