﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NetworkingLibrary.Messages.Specialised.Manager.Responses
{
    [Serializable]
    public class GameServersResponseMessage : MessageObject
    {
        public Dictionary<System.Net.IPAddress, System.Net.IPAddress> HostAddresses = new Dictionary<System.Net.IPAddress, System.Net.IPAddress>();

        public GameServersResponseMessage(Dictionary<System.Net.IPAddress, System.Net.IPAddress> SomeHostAddress)
        {
            HostAddresses = SomeHostAddress;
        }
    }
}
